console.log(squadre);
console.log(giocatori);
const listaSquadre = document.getElementById('listaSquadre');
const classificaGiocatori = document.getElementById('classificaGiocatori');

listaSquadre.innerHTML = '';
Object.keys(squadre).forEach((squadra) => {
    let squadraCompleta = `<div><h2>${squadra}</h2><ul>`;
    squadre[squadra].forEach((giocatore) => {
        let player = giocatori[giocatore];
        console.log(giocatore);
        squadraCompleta += `<li class="giocatore" onclick="window.location='giocatore.php?giocatore=${giocatore}'">${giocatore} ${player.nome} ${player.cognome}</li>`;
    });
    squadraCompleta += `</ul></div>`;
    listaSquadre.innerHTML += squadraCompleta;
});

function media(voti) {
    let somma = 0;
    for (let voto in voti) {
        somma += parseFloat(voti[voto]);
    }
    return somma / voti.length;
};
let classifica = Object.keys(giocatori).sort((a, b) => {
    return media(voti[a]) - media(voti[b]);
}).reverse();
classifica.forEach((giocatore) => {
    let player = giocatori[giocatore];
    classificaGiocatori.innerHTML += `<li class="giocatore" onclick="window.location='giocatore.php?giocatore=${giocatore}'"><span>${player.nome} ${player.cognome}</span><span>MV: ${media(voti[giocatore]).toFixed(2)}</span></li>`;
})